using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace ClassLibrary1
{
    [ToolboxBitmap(@"c:\a\a.bmp")]
    public partial class My_Clock : UserControl
    {
       
        public event EventHandler Alarm;    
        public My_Clock()
        {
            InitializeComponent();
        }
        
        public Color L_B_C { 
            get { return label1.BackColor; } 
            set { label1.BackColor = value; } }

        private void timer1_Tick(object sender, EventArgs e)
        {
            label1.Text = DateTime.Now.Hour.ToString() + ":" + DateTime.Now.Minute.ToString() + ":" + DateTime.Now.Second.ToString();
            if (DateTime.Now.Second % 10 == 0) Alarm.Invoke(sender, e);
        }       
      
    }
}
